Content / REST API
Promote content output
Create one native LinkedIn draft from a saved output. Never schedules or publishes.
POST /api/v1/content/work/{workId}/promoteDeterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
workIdRequired · string- See the input schema for this field.
outputIdRequired · string- See the input schema for this field.
linkedinAccountIdRequired · string- See the input schema for this field.
expectedRevisionRequired · integer- See the input schema for this field.
operationKeyRequired · string- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/v1/content/work/00000000-0000-4000-8000-000000000000/promote" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"outputId":"00000000-0000-4000-8000-000000000000","linkedinAccountId":"00000000-0000-4000-8000-000000000000","expectedRevision":1,"operationKey":"example"}'Full input schema
{
"type": "object",
"additionalProperties": false,
"properties": {
"workspaceId": {
"type": "string"
},
"workId": {
"type": "string"
},
"outputId": {
"type": "string"
},
"linkedinAccountId": {
"type": "string"
},
"expectedRevision": {
"type": "integer"
},
"operationKey": {
"type": "string"
}
},
"required": [
"workId",
"outputId",
"linkedinAccountId",
"expectedRevision",
"operationKey"
]
}